autobuilder chroot cannot initialize libalpm
Category:

Description

<bill-auger> <oaken-source> bill-auger: this might be related: https://bugs.archlinux.org/task/69563

<bill-auger> <oaken-source> faccessat2() was introduced in Linux 5.8, so glibc 2.33 won't work in containers on hosts that have
older kernels.

<bill-auger> <oaken-source> the failing syscall is faccessat2, as verified by strace

<bill-auger> <oaken-source> so we have to either downgrade the glibc in the chroot, or upgrade the glibc on the host
<bill-auger> IIRC you chose to downgrade glibc in the chroot

<bill-auger> <oaken-source> there is a compatibility package for glibc-2.33 on linux4

<bill-auger> <oaken-source> which doesn't include the faccessat2 system call

<bill-auger> <oaken-source> bill-auger: this fix will break next time glibc is upgraded in the chroot.

<bill-auger> ... and that was today - the autobuilder chroot auto-upgrades, and glibc got replaced

<oaken-source> fortunately, an upgraded package for the fix is available. I'm upgrading in the chroot

<oaken-source> but this will obviously keep happening until we upgrade winston

<oaken-source> the trick is to procure a glibc-linux4-${glibc_pkgver}-${glibc_pegrel}-x86_64.pkg.tar.zst for the most recent glibc
<oaken-source> and then pacman -U ${glibc_linux4} -r /var/lib/archbuild/autobuilder/root/

Related issues:
Related to Packages - Bug #3386: Blacklist hooks are broken fixed

History

#1 - 2022-12-20 08:08 PM - bill-auger
- Parent task set to #3386

#2 - 2022-12-21 04:52 PM - bill-auger
- Parent task deleted (#3386)

#3 - 2022-12-21 04:53 PM - bill-auger
- Related to Bug #3386: Blacklist hooks are broken added
